edu.isi.pegasus.planner.invocation

## Class Machine

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.Machine

All Implemented Interfaces:
  java.io.Serializable

    public class Machine
    extends Invocation

The Machine element groups a time stamp, the page size, the generic utsname information, and a machine-specific content collecting element.

Version:
  $Revision$
Author:
  Karan Vahi, Jens-S. Vöckler
See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `ELEMENT_NAME` element name
`private long` `m_pagesize` The only attribute to the machine element is required.
`private MachineSpecific` `m_specific` This is a grouping element for the remaining machine-specific items.
`private Stamp` `m_stamp` The time when the snapshot was taken.
`private Uname` `m_uname` The uname child element is mandatory.

### Constructor Summary

Constructors
Constructor and Description
`Machine()` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getElementName()` Returns the name of the xml element corresponding to the object.
`MachineSpecific` `getMachineSpecific()` Obtains the machine-specific grouping element.
`long` `getPageSize()` Obtains the page size information.
`Stamp` `getStamp()` Obtains the time stamp information when the remote machine element was recorded.
`Uname` `getUname()` Obtains the utsname generic system information record.
`void` `setMachineSpecific(MachineSpecific m)` Sets the machine-specific grouping element.
`void` `setPageSize(long size)` Sets the page size.
`void` `setStamp(Stamp stamp)` Sets the time stamp when the machine info was obtained.
`void` `setUname(Uname uname)` Sets the utsname generic system information record.
`void` `toString(java.io.Writer stream)` Converts the active state into something meant for human consumption.
`void` `toXML(java.io.Writer stream, java.lang.String indent, java.lang.String namespace)` Dump the state of the current element as XML output.

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

element name

See Also:
  Constant Field Values

#### m_pagesize

    private long m_pagesize

The only attribute to the machine element is required.

#### m_stamp

    private Stamp m_stamp

The time when the snapshot was taken.

#### m_uname

    private Uname m_uname

The uname child element is mandatory.

#### m_specific

    private MachineSpecific m_specific

This is a grouping element for the remaining machine-specific items.

### Constructor Detail

#### Machine

    public Machine()

Default constructor.

### Method Detail

#### setPageSize

    public void setPageSize(long size)

Sets the page size.

Parameters:
  `size` - is the remote page size in byte.

#### getPageSize

    public long getPageSize()

Obtains the page size information.

Returns:
  pagesize in byte

#### setStamp

    public void setStamp(Stamp stamp)

Sets the time stamp when the machine info was obtained.

Parameters:
  `stamp` - is the time stamp

#### getStamp

    public Stamp getStamp()

Obtains the time stamp information when the remote machine element was recorded.

Returns:
  stamp is a time stamp

#### setUname

    public void setUname(Uname uname)

Sets the utsname generic system information record.

Parameters:
  `uname` - is the utsname record

#### getUname

    public Uname getUname()

Obtains the utsname generic system information record.

Returns:
  uname is the utsname record

#### setMachineSpecific

    public void setMachineSpecific(MachineSpecific m)

Sets the machine-specific grouping element.

Parameters:
  `m` - is the machine specific grouping element

#### getMachineSpecific

    public MachineSpecific getMachineSpecific()

Obtains the machine-specific grouping element.

Returns:
  machine

#### getElementName

    public java.lang.String getElementName()

Returns the name of the xml element corresponding to the object.

Returns:
  name

#### toString

    public void toString(java.io.Writer stream)
                  throws java.io.IOException

Converts the active state into something meant for human consumption. The method will be called when recursively traversing the instance tree.

Specified by:
  `toString` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.

#### toXML

    public void toXML(java.io.Writer stream,
                      java.lang.String indent,
                      java.lang.String namespace)
               throws java.io.IOException

Dump the state of the current element as XML output. This function traverses all sibling classes as necessary, and converts the data into pretty-printed XML output. The stream interface should be able to handle large output efficiently.

Specified by:
  `toXML` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
  `indent` - is a `String` of spaces used for pretty printing. The initial amount of spaces should be an empty string. The parameter is used internally for the recursive traversal. If a `null` value is specified, no indentation nor linefeeds will be generated.
  `namespace` - is the XML schema namespace prefix. If neither empty nor null, each element will be prefixed with this prefix, and the root element will map the XML namespace.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.
See Also:
  `BufferedWriter`